<mat-card class="mpa-card">
  <!-- HEADER -->
  <mat-card-header class="mpa-card-header">
    <mat-card-title class="mpa-card-title">
      Folder: {{this.dataItemOfThisComponent.displayName}}
      <!-- name-edit -->
      <button mat-button class="mpa-card-title-name-button" (click)="onSetName()">(edit)</button>
    </mat-card-title>
    <!-- button-row -->
    <div class="mpa-card-header-buttons">
      <button mat-raised-button color="warn" matTooltip="Delete folder" class="square-button" (click)='onRemoveFolder()'>
        <mat-icon>close</mat-icon>
      </button>
    </div>
  </mat-card-header>

  <!-- CONTENT -->
  <mat-card-content class="mpa-card-content">
    <!-- OVERVIEW TABLE -->
    <table class="mpa-overview-table">
      <thead>
      </thead>
      <tbody>
        <tr>
          <th scope="row">Experiments</th>
          <td *ngIf="experiments.length > 0">
            {{experiments.length}}
          </td>
          <td *ngIf="experiments.length == 0">
            No Experiments
          </td>
        </tr>
        <tr>
          <th scope="row">Protein Databases</th>
          <td *ngIf="protdbs.length > 0">
            {{protdbs.length}}
          </td>
          <td *ngIf="protdbs.length == 0">
            No databases
          </td>
        </tr>
        <tr>
          <th scope="row">Subfolders</th>
          <td *ngIf="subfolders.length > 0">
            {{subfolders.length}}
          </td>
          <td *ngIf="subfolders.length == 0">
            No subfolders
          </td>
        </tr>
        <tr>
          <th scope="row">Description
          </th>
          <td>
            <textarea autofocus="false" class="text-area" (input)="setDescription($event)" id="description-text">{{this.dataItemOfThisComponent.description}}</textarea>
          </td>
        </tr>
      </tbody>
    </table>

    <!-- INTERFACING OPTIONS -->
    <div class="divider-line"></div>
    <div class="mpa-button-row">
      <button mat-raised-button class="rectangular-button" color="accent" (click)='onAddElement("experiment")'>Add Experiment</button>
      <button mat-raised-button class="rectangular-button" color="accent" (click)='onAddElement("proteindb")'>Add ProteinDB</button>
      <button mat-raised-button class="rectangular-button" color="accent" (click)='onAddElement("folder")'>Add Folder</button>
      <button mat-raised-button class="rectangular-button" color="accent" (click)='onAddElement("comparison")'>Add Comparison</button>
    </div>
    <div class="divider-line"></div>
    <h2>Batch Search</h2>
    <app-file-upload [parentDataItem]="dataItemOfThisComponent"></app-file-upload>


  </mat-card-content>
</mat-card>
